const InstagramIcon = ({ className = '' }) => (
  <span className={className}>
    <svg width="56" height="56" viewBox="0 0 56 56" fill="none" xmlns="http://www.w3.org/2000/svg">
      <circle cx="28" cy="28" r="28" fill="#CE0F3D" />
      <g clipPath="url(#clip0)">
        <path d="M28.005 21.847C26.7881 21.847 25.5984 22.2078 24.5866 22.8839C23.5747 23.56 22.7861 24.521 22.3204 25.6453C21.8547 26.7696 21.7328 28.0068 21.9702 29.2004C22.2076 30.3939 22.7937 31.4903 23.6542 32.3508C24.5147 33.2113 25.611 33.7973 26.8046 34.0347C27.9982 34.2722 29.2353 34.1503 30.3597 33.6846C31.484 33.2189 32.4449 32.4303 33.121 31.4184C33.7971 30.4065 34.158 29.2169 34.158 28C34.1592 27.1916 34.0008 26.391 33.692 25.6439C33.3832 24.8969 32.9301 24.2181 32.3585 23.6465C31.7869 23.0749 31.1081 22.6217 30.3611 22.3129C29.614 22.0041 28.8134 21.8458 28.005 21.847ZM28.005 32.001C27.2139 32.001 26.4405 31.7664 25.7827 31.3269C25.1249 30.8873 24.6122 30.2626 24.3095 29.5317C24.0067 28.8008 23.9275 27.9965 24.0819 27.2206C24.2362 26.4447 24.6172 25.732 25.1766 25.1726C25.736 24.6131 26.4487 24.2322 27.2246 24.0778C28.0006 23.9235 28.8048 24.0027 29.5357 24.3055C30.2666 24.6082 30.8914 25.1209 31.3309 25.7787C31.7704 26.4365 32.005 27.2099 32.005 28.001C32.0029 29.0612 31.5808 30.0774 30.8311 30.8271C30.0814 31.5768 29.0652 31.9989 28.005 32.001ZM35.845 21.596C35.845 21.8798 35.7608 22.1572 35.6032 22.3932C35.4455 22.6292 35.2214 22.8131 34.9592 22.9217C34.6969 23.0304 34.4084 23.0588 34.13 23.0034C33.8517 22.948 33.596 22.8114 33.3953 22.6107C33.1946 22.41 33.0579 22.1543 33.0026 21.8759C32.9472 21.5976 32.9756 21.309 33.0842 21.0468C33.1928 20.7846 33.3768 20.5605 33.6128 20.4028C33.8487 20.2451 34.1262 20.161 34.41 20.161C34.5986 20.1604 34.7854 20.1972 34.9597 20.269C35.134 20.3409 35.2924 20.4465 35.4259 20.5797C35.5593 20.7129 35.6651 20.8712 35.7372 21.0454C35.8093 21.2197 35.8463 21.4064 35.846 21.595L35.845 21.596ZM39.92 23.053C39.9598 21.1869 39.2632 19.3803 37.981 18.024C36.6218 16.7463 34.8171 16.0504 32.952 16.085C30.971 15.973 25.031 15.973 23.052 16.085C21.1875 16.0477 19.3825 16.7415 18.023 18.018C16.7434 19.3756 16.0473 21.1808 16.084 23.046C15.972 25.027 15.972 30.967 16.084 32.946C16.0442 34.812 16.7408 36.6187 18.023 37.975C19.3827 39.2519 21.1871 39.9476 23.052 39.914C25.033 40.026 30.973 40.026 32.952 39.914C34.8184 39.954 36.6254 39.2574 37.982 37.975C39.2597 36.6158 39.9555 34.8111 39.921 32.946C40.033 30.965 40.033 25.031 39.921 23.046L39.92 23.053ZM37.361 35.075C37.1568 35.5916 36.8485 36.0608 36.4552 36.4532C36.0619 36.8456 35.5921 37.1529 35.075 37.356C33.495 37.983 29.746 37.838 28.001 37.838C26.256 37.838 22.501 37.977 20.927 37.356C20.4116 37.1519 19.9435 36.8441 19.5518 36.4517C19.1602 36.0594 18.8532 35.5908 18.65 35.075C18.023 33.495 18.168 29.746 18.168 28.001C18.168 26.256 18.029 22.501 18.65 20.927C18.8537 20.4108 19.1612 19.942 19.5536 19.5496C19.946 19.1572 20.4148 18.8496 20.931 18.646C22.511 18.019 26.26 18.164 28.005 18.164C29.75 18.164 33.505 18.025 35.079 18.646C35.5952 18.8496 36.064 19.1572 36.4564 19.5496C36.8488 19.942 37.1563 20.4108 37.36 20.927C37.987 22.507 37.842 26.256 37.842 28.001C37.842 29.746 37.988 33.5 37.361 35.075Z" fill="white" />
      </g>
      <defs>
        <clipPath id="clip0">
          <rect width="24.005" height="24" fill="white" transform="translate(16 16)" />
        </clipPath>
      </defs>
    </svg>
  </span>
);

export default InstagramIcon